#!/bin/sh

##################################################
# Check to see if Customization Hacks are already#
# installed and in use			 	 #
##################################################

if [ -f /mnt/us/.customizations_installed ]

then

	echo "Customizations are already installed"

else



	##################################################
	# Add /mnt/us/.customizations_installed file 	 #
	##################################################

	touch /mnt/us/.customizations_installed



	##################################################
	# Actual Hacks					 #
	##################################################

	###### Kindlet apps/games keystore
	# backup the old one if exist:
	if [ -f /var/local/java/keystore/developer.keystore ]
	then
		cp /var/local/java/keystore/developer.keystore /mnt/us/launchpad/developer.keystore.bkp_orig
	fi
	# move the new one and keep a backup of it, just in case:
	if [ -f /mnt/us/launchpad/developer.keystore ]
	then
		cp /mnt/us/launchpad/developer.keystore /var/local/java/keystore/
		mv /mnt/us/launchpad/developer.keystore /mnt/us/launchpad/developer.keystore.bkp
	fi



	###### Screensavers Hack (remove ad-sponsored banner and screensavers)
	/etc/init.d/framework stop
	if [ -d /var/local/adunits ]
	then
		mv /var/local/adunits /var/local/adunits.bkp
		touch /var/local/adunits
	fi
	/etc/init.d/framework start



	###### Kindlesec Hack (disable Amazon.com logging)
	if [ -d /mnt/us/.kindlesec/ ]
	then
		rmdir -r /mnt/us/.kindlesec/
		mkdir /mnt/us/.kindlesec/
	fi
	if [ -f /usr/sbin/syslog-ng ]
	then
		cp /usr/sbin/syslog-ng /mnt/us/.kindlesec/
	fi
	if [ -f /usr/sbin/loginfo ]
	then
		cp /usr/sbin/loginfo /mnt/us/.kindlesec/
	fi
	if [ -f /usr/sbin/tinyrot ]
	then
		cp /usr/sbin/tinyrot /mnt/us/.kindlesec/
	fi
	if [ -f /usr/bin/showlog ]
	then
		cp /usr/bin/showlog /mnt/us/.kindlesec/
	fi
	mntroot rw
	ln -s -b /dev/null /usr/sbin/syslog-ng
	ln -s -b /dev/null /usr/sbin/loginfo
	ln -s -b /dev/null /usr/sbin/tinyrot
	ln -s -b /dev/null /usr/bin/showlog



	###### Search Indexing Disabling/Enabling Hack
	if [ -f /opt/amazon/ebook/bin/start.sh ]
	then
		cp /opt/amazon/ebook/bin/start.sh /opt/amazon/ebook/bin/start.sh.bkp
		sed -i 's/-DENABLE_SEARCH_INDEXING_THREAD=true/-DENABLE_SEARCH_INDEXING_THREAD=false/' /opt/amazon/ebook/bin/start.sh
	fi



	###### K3MusicManager
	# backup the old one if exist:
	if [ -f /opt/amazon/ebook/security/external.policy ]
	then
		cp /opt/amazon/ebook/security/external.policy /mnt/us/launchpad/external.policy.bkp_orig
	fi
	# move the new one and keep a backup of it, just in case:
	if [ -f /mnt/us/launchpad/external.policy ]
	then
		cp /mnt/us/launchpad/external.policy /opt/amazon/ebook/security/
		mv /mnt/us/launchpad/external.policy /mnt/us/launchpad/external.policy.bkp
	fi



	###### ReadabilityMod
	# backup the old ones if exist:
	if [ -f /usr/share/browser/readability/readability_min_utf16.css ]
	then
		mv /usr/share/browser/readability/readability_min_utf16.css /usr/share/browser/readability/readability_min_utf16.css.bkp
	fi
	if [ -f /usr/share/browser/readability/readability_min_utf16.js ]
	then
		mv /usr/share/browser/readability/readability_min_utf16.js /usr/share/browser/readability/readability_min_utf16.js.bkp
	fi
	# copy the new ones:
	if [ -f /mnt/us/launchpad/readability_min_utf16.css ]
	then
		cp /mnt/us/launchpad/readability_min_utf16.css /usr/share/browser/readability/
	fi
	if [ -f /mnt/us/launchpad/readability_min_utf16.js ]
	then
		cp /mnt/us/launchpad/readability_min_utf16.js /usr/share/browser/readability/
	fi
	mntroot ro



fi



exit
